Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#67253 - [virtualbox-guest-utils] [PATCH] Use vboxdrmclient

Attached to Project: Community Packages
Opened by TotallyNot Elite (TotallyNotElite) - Saturday, 11 July 2020, 10:54 GMT
Last edited by Christian Hesse (eworm) - Thursday, 16 July 2020, 21:20 GMT
Task Type Feature Request
Category Packages
Status Closed
Assigned To Christian Hesse (eworm)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description:
Currently, archlinux removes the vboxclient --vmsvga line from VBoxClient-all. This is done to prevent a black screen that can happen semi-reliably when starting the script. This unfortunately prevents vmsvga resizing from working, even when the correct kernel patches are applied.

I've attached a patch (diff file) that makes it possible to use VBoxDRMClient, which takes over the task of resizing the screen. It does not have this black screen problem and will simply fail with an error instead.

As soon as https://lkml.org/lkml/2020/7/9/482 is merged and reaches the archlinux linux kernel package, resizing should start working automatically.

Note: This is heavily inspired by changes made in Fedora.
This task depends upon

Closed by  Christian Hesse (eworm)
Thursday, 16 July 2020, 21:20 GMT
Reason for closing:  Implemented
Additional comments about closing:  virtualbox 6.1.12-1
Comment by TotallyNot Elite (TotallyNotElite) - Saturday, 11 July 2020, 10:55 GMT
I was advised to submit a patch using the issue tracker by IRC a few weeks ago, hope this is the correct way to submit a patch.
Comment by Christian Hesse (eworm) - Wednesday, 15 July 2020, 14:46 GMT Comment by Christian Hesse (eworm) - Thursday, 16 July 2020, 15:41 GMT
Applied in virtualbox 6.1.12-1, with some modifications.
Now let's wait for linux to catch up...
Comment by Christian Hesse (eworm) - Thursday, 16 July 2020, 21:20 GMT
Should work with linux 5.7.9.arch1-1 and linux-lts 5.4.52-1.

Loading...